Module modFinde25
    Public Spielfelder As New ArrayList    '-- bildfelder form1
    Public Anzeigen As New ArrayList       '-- buchstaben
    Public Bild As New ArrayList           '-- quadrate
    Public intZahlen(24) As Integer        '-- anzahl zahlen
    Public booGezogen(24) As Boolean       '-- für zufallszahl
    Public booBereitsGewaehlt(24) As Boolean   '-- erkannte oder aufgedeckte zahlen
    '-----------------
    Public intRandom As New Random         '-- zufall
    Public intFehlVersuche As Integer      '-- anzahl fehlversuche
    Public Const intSumme As Integer = 25

    Public Sub ErzeugeDieZahlen()
        Dim i As Integer
        For i = 0 To 23
            Spielfelder(i).BackColor = Color.Yellow
            Anzeigen(i).BackColor = Color.Yellow
            Anzeigen(i).ForeColor = Color.Black
            Anzeigen(i).Text = ""
            Spielfelder(i).Image = Bild(0).Image
            booGezogen(i) = False
            booBereitsGewaehlt(i) = False
        Next
        With Form1
            booGezogen(24) = False
            .LstZahlen.Items.Clear()
            .LstPositionen.Items.Clear()
            For i = 0 To 23
                intZahlen(i) = ZufallsZahl(1, 25)       '-- function
                .LstZahlen.Items.Add(CStr(intZahlen(i)))
            Next
            .MnuBeenden.Enabled = True : .MnuVorschau.Enabled = True
            .MnuNeu.Enabled = False
            .CmdNeu.Enabled = False : .CmdVorschau.Enabled = True
            .LblInfo.Text = "Klicke auf >Vorschau<," & vbCrLf &
                "wenn die Zahlen 4 Sec. lang angezeigt werden sollen," & vbCrLf &
                "oder klicke auf ein Quadrat, um das Spiel zu beginnen."
        End With
    End Sub
    Private Function ZufallsZahl(intTief As Integer, intHoch As Integer) As Integer
        Do
            ZufallsZahl = intRandom.Next(intTief, intHoch)
            If Not booGezogen(ZufallsZahl) Then
                booGezogen(ZufallsZahl) = True
                Exit Do    '------------------------>
            End If
        Loop
        Return ZufallsZahl
    End Function
End Module
